#!/usr/bin/env node
import c from "yargs";
import { hideBin as m } from "yargs/helpers";
import { handler as t } from "./handler.mjs";
import a from "chalk";
import { projectNameForm as l, getTemplateChoices as p, getTemplateForm as d, saveGitHistoryForm as g, shallowCloneForm as f } from "./utils/question.mjs";
import s from "./injectInfo.json.mjs";
const h = async () => ({
  projectName: {
    type: "string",
    alias: "p",
    describe: l.message
  },
  template: {
    type: "string",
    alias: "t",
    choices: (await p()).map((e) => e.name),
    describe: (await d()).message
  },
  saveGitHistory: {
    type: "boolean",
    alias: "s",
    describe: g.message
  },
  shallowClone: {
    type: "boolean",
    alias: "c",
    describe: f.message,
    default: !0
  }
}), i = s.cliConfig.commandName, y = (e, o) => {
  console.log(e ? a.red(e) : a.red(o.message)), process.exit(1);
}, b = s.description, u = `Usage: $0 ${i} [options]`, v = "Usage: $0 [options]", n = async (e, o) => {
  const r = await h();
  return e.strict().usage(o).help("help").version(s.version).alias("v", "version").alias("h", "help").options(r).fail(y).argv;
}, C = (e) => n(e, u), $ = {
  command: i,
  describe: b,
  builder: C,
  handler: t
}, x = async () => {
  const e = c(m(process.argv)), o = await n(e, v);
  return t(o);
};
export {
  $ as command,
  x as createCli
};
